## org.biojava.bio.dp.onehead
Class SingleDPMatrix

    java.lang.Object
      org.biojava.bio.dp.onehead.SingleDPMatrix

All Implemented Interfaces:
  Serializable, DPMatrix

    public class SingleDPMatrix

extends Object
implements DPMatrix, Serializable

The dynamic programming matrix for a single sequence.

Author:
  Matthew Pocock, Lukas Kall
See Also:
  Serialized Form

Field Summary
`protected MarkovModel` `model`
`protected double` `score`
`double[][]` `scores`
`protected State[]` `states`
`protected SymbolList[]` `symList`

Constructor Summary
`SingleDPMatrix(DP dp, SymbolList symList)`

Method Summary
`double` `getCell(int[] index)`
`double` `getScore()`
`MarkovModel` `model()`
`void` `setScore(double score)`
`State[]` `states()`
`SymbolList[]` `symList()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### states

    protected final State[] states

### model

    protected final MarkovModel model

### symList

    protected final SymbolList[] symList

### scores

    public final double[][] scores

### score

    protected double score

Constructor Detail

### SingleDPMatrix

    public SingleDPMatrix(DP dp,
                          SymbolList symList)

Method Detail

### states

    public State[] states()

  Specified by:
    `states` in interface `DPMatrix`

### model

    public MarkovModel model()

  Specified by:
    `model` in interface `DPMatrix`

### symList

    public SymbolList[] symList()

  Specified by:
    `symList` in interface `DPMatrix`

### getScore

    public double getScore()

  Specified by:
    `getScore` in interface `DPMatrix`

### setScore

    public void setScore(double score)

### getCell

    public double getCell(int[] index)
                   throws IndexOutOfBoundsException

  Specified by:
    `getCell` in interface `DPMatrix`
  Throws:
    `IndexOutOfBoundsException`